<?php

namespace FiloBlu\ShipmentEmailTrack\Helper;

class Data extends \Magento\Framework\App\Helper\AbstractHelper {

    public function getConfig($config_path, $section = 'filoblu_shipmenteemailtrack_section') {
        return $this->scopeConfig->getValue(
                        $section . '/' . $config_path, \Magento\Store\Model\ScopeInterface::SCOPE_STORE
        );
    }

    public function getTrackingNumberLink(\Magento\Sales\Model\Order\Shipment\Track $carrierItem) {
        $carriersArray = unserialize($this->getConfig("carrier_setting/carriers"));

        if ($carriersArray && count($carriersArray)) {
            foreach ($carriersArray as $carrier) {
                if (strtolower($carrier['carrier_code']) == strtolower($carrierItem->getCarrierCode()) ||
                   (strtolower($carrier['carrier_code']) == 'custom' && strtolower($carrier['carrier_title']) == strtolower($carrierItem->getCarrierCode()))) {
                    return str_replace("##TRACKCODE##", $carrierItem->getNumber(), $carrier['base_url']);
                }
            }
        }

        return '#';
    }

}
