<?php

namespace FiloBlu\ShipmentEmailTrack\Rewrite\Magento\Shipping\Block\Adminhtml\Order\Tracking;

class View extends \Magento\Shipping\Block\Adminhtml\Order\Tracking\View
{
    /**
     * @var \FiloBlu\ShipmentEmailTrack\Helper\Data
     */
    protected $helperData;

    /**
     * @param \Magento\Backend\Block\Template\Context $context
     * @param \Magento\Shipping\Model\Config $shippingConfig
     * @param \Magento\Framework\Registry $registry
     * @param \Magento\Shipping\Model\CarrierFactory $carrierFactory
     * @param \FiloBlu\ShipmentEmailTrack\Helper\Data $helperData
     * @param array $data
     */
    public function __construct(
        \Magento\Backend\Block\Template\Context $context,
        \Magento\Shipping\Model\Config $shippingConfig,
        \Magento\Framework\Registry $registry,
        \Magento\Shipping\Model\CarrierFactory $carrierFactory,
        \FiloBlu\ShipmentEmailTrack\Helper\Data $helperData,
        array $data = []
    ) {
        parent::__construct($context, $shippingConfig, $registry, $carrierFactory, $data);
        $this->helperData = $helperData;
    }
    
    /**
     * @param \Magento\Sales\Model\Order\Shipment\Track $track
     * @return mixed|string
     */
    public function generateTrackingLink(\Magento\Sales\Model\Order\Shipment\Track $track)
    {
        return $this->helperData->getTrackingNumberLink($track);
    }
}